Skip to main content

CreateUnifiedAgent creates a new unified agent.

POST 

/api/v1/auth/unified-agents

Parameters​

  • user_id: Required, user to create agent for
  • subscription_id: Optional, billing subscription
  • voice_agent_id: Optional, existing voice agent to link

Side Effects​

  • Consumes a seat from subscription (if specified)
  • Creates audit entry

Errors​

  • ALREADY_EXISTS: User already has an agent
  • NOT_FOUND: User does not exist
  • PERMISSION_DENIED: Caller lacks agents:write permission

Request​

Responses​

A successful response.